## mpvqt 1.0.0

=== debian/changelog ===
mpvqt (1.0.0-1ubuntu1) plucky; urgency=medium

  * Disable building with LTO to prevent FTBFS with Debian's symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 13:49:19 +0000

mpvqt (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1076446)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 02:36:48 -0700
