=== debian/control ===
Source: mpvqt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules,
               libmpv-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/mpvqt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
Rules-Requires-Root: no

Package: libmpvqt1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Libmpv wrapper for QtQuick2 and QML
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 this is the library.
 .
 This package contains the shared library,

Package: libmpvqt-dev
Section: libdevel
Architecture: any
Depends: libmpv-dev,
         libmpvqt1 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         qt6-declarative-dev (>= 6.5.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Libmpv wrapper for QtQuick2 and QML development
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 these are the development files.
 .
 This package contains the files necessary for development.
