## mpvqt 1.0.1

=== debian/changelog ===
mpvqt (1.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.0.1)
  * Update symbols from build logs.
  * Kubuntu Vcs and maintainer.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2024 10:49:25 +0000
