=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mpvqt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@debian.org>,
 Section: libs
@@ -14,8 +14,8 @@
                qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/mpvqt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mpvqt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mpvqt
 Rules-Requires-Root: no
 
 Package: libmpvqt1
