## mpvqt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,19 +6,34 @@
 
 cmake_minimum_required(VERSION 3.15)
 
-project(MpvQt  VERSION 1.0.1 LANGUAGES CXX)
+project(MpvQt VERSION 1.1.0 LANGUAGES CXX)
 
 set(REQUIRED_QT_VERSION 6.5.0)
 
-find_package(ECM 6.0.0 REQUIRED NO_MODULE)
+include(FeatureSummary)
+
+find_package(ECM 6.0.0 NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED
+    URL "https://api.kde.org/ecm/"
+    DESCRIPTION "extra cmake modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-include(FeatureSummary)
+find_package(Qt6Quick ${REQUIRED_QT_VERSION})
+set_package_properties(Qt6Quick PROPERTIES TYPE REQUIRED)
+
+find_package(Libmpv)
+set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
+    URL "https://mpv.io")
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMGenerateHeaders)
 include(ECMGenerateExportHeader)
+
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")
 
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
@@ -35,14 +50,6 @@
     SOVERSION 1
 )
 
-find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Quick)
-
-find_package(Libmpv)
-set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
-    URL "https://mpv.io")
-
-set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")
-
 include(CMakePackageConfigHelpers)
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/MpvQtConfig.cmake.in"
@@ -50,8 +57,6 @@
     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 add_subdirectory(src)
 
 option(BUILD_EXAMPLES "Whether to build the examples" OFF)
