=== debian/changelog ===
mpvqt (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Restore the binary compatibility because of the modified observeProperty()
    functions; patch observeProperty-binary-compatibility.diff.
  * Update symbols file.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Apr 2025 08:54:19 +0200

mpvqt (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Maintainer to Debian KDE Extras Team.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update symbols file.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
  * Update/simplify copyright.
  * Remove the unused ${shlibs:Depends} substvar from libmpvqt-dev.
  * Ship the examples in libmpvqt-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 13:30:17 +0100
