=== debian/changelog ===
mpvqt (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 07:25:55 +0200

mpvqt (1.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libmpvqt1 to libmpvqt2 according to the upstream SONAME bump.
  * Update the patches:
    - observeProperty-binary-compatibility.diff: drop, no more needed now since
      there is a SONAME bump
  * Minimal tweaks to install files.
  * Mark libmpvqt2 as Multi-Arch: same.
  * Update symbols files, mostly dropping the compatibility symbols added by
    the dropped observeProperty-binary-compatibility.diff patch.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Aug 2025 07:13:49 +0200
