=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
 Homepage: https://invent.kde.org/libraries/mpvqt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
-Rules-Requires-Root: no
 
-Package: libmpvqt1
+Package: libmpvqt2
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Libmpv wrapper for QtQuick2 and QML
  MpvQt is a libmpv wrapper for QtQuick2 and QML
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Depends: libmpv-dev,
-         libmpvqt1 (= ${binary:Version}),
+         libmpvqt2 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
          qt6-declarative-dev (>= 6.5.0~),
          ${misc:Depends},
