=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/mpvqt/@PACKAGE@-([\d.]+).tar.xz
