## mpvqt 1.1.1+p24.04+vstable+git20251028.1009

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.31)
 
-project(MpvQt VERSION 1.1.0 LANGUAGES CXX)
+project(MpvQt VERSION 1.1.1 LANGUAGES CXX)
 
 set(REQUIRED_QT_VERSION 6.5.0)
 
@@ -47,7 +47,7 @@
     VARIABLE_PREFIX MPVQT
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/mpvqt_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfigVersion.cmake"
-    SOVERSION 1
+    SOVERSION 2
 )
 
 include(CMakePackageConfigHelpers)
