=== examples/video-player/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.31)
 
 project(videoplayer LANGUAGES CXX)
