=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20251028.1009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:09:09 +0000

mpvqt (1.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Apr 2025 18:20:09 +0000

mpvqt (1.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Apr 2025 18:20:10 +0000

mpvqt (1.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Jul 2024 18:20:08 +0000

mpvqt (1.0.0-0neon) noble; urgency=medium


  * initial release

 -- Neon CI <neon@kde.org>  Thu, 16 Nov 2022 06:15:55 +1000
