=== debian/control ===
Source: mpvqt
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libmpv-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mpvqt.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mpvqt
Maintainer: Neon CI <neon@kde.org>

Package: mpvqt
Architecture: any
Depends: libmpv2, yt-dlp | youtube-dl, ${misc:Depends}, ${shlibs:Depends}
Description: qml wrapper around libmpv
 Library files.

Package: mpvqt-dev
Architecture: any
Depends: libmpv-dev,
         mpvqt,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: qml wrapper around libmpv
 Development files.
