## mpvqt 1.1.1+p24.04+vstable+git20251215.0116

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20251215.0116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 01:16:23 +0000
