## mpvqt 1.1.1+p24.04+vunstable+git20251028.0916

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vunstable+git20251028.0916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:16:40 +0000
