## mpvqt 1.1.1+p24.04+vunstable+git20260123.0332

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 include(FeatureSummary)
 
-find_package(ECM 6.15.0 NO_MODULE)
+find_package(ECM 6.10.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/ecm/"
     DESCRIPTION "Extra modules and scripts for CMake")
