=== debian/changelog ===
mpvqt (1.1.1+p24.04+vunstable+git20260123.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:32:05 +0000
